# Wöchentliches Update-Skript für Linux-Systeme

Dieses Skript ist eine verbesserte Version eines wöchentlichen Update-Skripts für Linux-Systeme. Es aktualisiert das System, führt eine Systembereinigung durch und protokolliert die Ausgabe in einer Log-Datei.

## Funktionen

- Erstellt ein Logverzeichnis unter `/var/log/script-logs`, um die Protokolldateien zu speichern.
- Definiert Variablen für den Hostnamen des Systems und die E-Mail-Adresse für Benachrichtigungen bei fehlgeschlagenen Updates.
- Aktualisiert das System mit den Befehlen `sudo apt update` und `sudo apt upgrade -y`.
- Überprüft das Ergebnis des Updates und sendet bei einem fehlgeschlagenen Update eine E-Mail mit Informationen und dem Protokollinhalt.
- Führt Systembereinigungsbefehle (`sudo apt-get autoremove --purge -y` und `sudo apt-get clean -y`) aus, wenn das Update erfolgreich war.

## Verwendung

1. Klone das Repository: `git clone https://git.media-techport.de/scriptos/weekly-updater.git`
2. Navigiere in das Verzeichnis: `cd weekly-updater`
3. Führe das Skript aus: `bash weekly-update.v2.sh`

## Lizenz

Dieses Skript steht unter der [MIT-Lizenz](https://opensource.org/licenses/MIT).

